"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.default = _default;

var _lodash = _interopRequireDefault(require("lodash"));

var _fsExtra = _interopRequireDefault(require("fs-extra"));

var _initConfig = _interopRequireDefault(require("../initConfig"));

var _start = _interopRequireDefault(require("./start"));

var _checkDeps = _interopRequireDefault(require("../checkDeps"));

var _webpack = _interopRequireDefault(require("../webpack/webpack.config"));

var _createWebpackCompiler = _interopRequireDefault(require("../utils/createWebpackCompiler"));

function _default(entry, output, opts = {}) {
  opts.shouldUseEntryHTML = false;
  opts.polyfills = null;
  opts.devtool = null;
  opts.manifest = false;
  opts.optimization = {
    runtimeChunk: false,
    splitChunks: false
  };
  opts.babel = Object.assign({
    corejs: false,
    useBuiltIns: false,
    modules: false
  }, opts.babel);
  opts.output = Object.assign({
    globalObject: "this",
    libraryTarget: "umd"
  }, opts.output);
  opts.assets = _lodash.default.defaultsDeep(opts.assets, {
    js: {
      name: "[name].js",
      output: ""
    },
    css: {
      name: "[name].css",
      output: "css"
    },
    media: {
      name: "[name].[ext]",
      output: "media"
    }
  });
  (0, _start.default)(entry, output, opts); // const config = initConfig(entry, output, opts);
  // let webpackConfig = getWebpackConfig(config);
  // fs.ensureDirSync(webpackConfig.output.path);
  // if (config.clean) {
  // 	fs.emptyDirSync(webpackConfig.output.path);
  // }
  // const watch = config.watch;
  // const watchOptions = config.watchOptions;
  // run(
  // 	Object.assign(webpackConfig, {
  // 		watch,
  // 		watchOptions,
  // 	}),
  // 	config
  // );
}