"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports.getTSConfigFilePath = getTSConfigFilePath;

var _path = _interopRequireDefault(require("path"));

var _fsExtra = _interopRequireDefault(require("fs-extra"));

const tsConfigPath = "../tsconfig/tsconfig.json";

function getTSConfigFilePath(options) {
  let filePath = _path.default.resolve(options.cwd, "tsconfig.json");

  if (!_fsExtra.default.existsSync(filePath)) {
    filePath = _path.default.resolve(__dirname, tsConfigPath);
  }

  return filePath;
}